package com.goafanti.common.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 项目年报(TaskAnnualReport)实体类
 *
 * @author makejava
 * @since 2024-12-26 13:45:50
 */
public class TaskAnnualReport implements Serializable {
    private static final long serialVersionUID = 726853661805494653L;

    private Integer id;
    /**
     * 用户ID
     */
    private String uid;
    /**
     * 项目编号
     */
    private Integer tid;
    /**
     * 年份
     */
    private Integer year;
    /**
     * 销售额
     */
    private BigDecimal salesAmount;
    /**
     * 研发费用
     */
    private BigDecimal researchAmount;
    /**
     * 录入人
     */
    private String aid;
    /**
     * 创建时间
     */
    private Date createTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public Integer getTid() {
        return tid;
    }

    public void setTid(Integer tid) {
        this.tid = tid;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public BigDecimal getSalesAmount() {
        return salesAmount;
    }

    public void setSalesAmount(BigDecimal salesAmount) {
        this.salesAmount = salesAmount;
    }

    public BigDecimal getResearchAmount() {
        return researchAmount;
    }

    public void setResearchAmount(BigDecimal researchAmount) {
        this.researchAmount = researchAmount;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

